| Home | Libraries | People | FAQ | More

## Function first_finder

boost::algorithm::first_finder — "First" finder

## Synopsis

    template<typename RangeT> unspecified first_finder(const RangeT & Search);
    template<typename RangeT, typename PredicateT>
      unspecified first_finder(const RangeT & Search, PredicateT Comp);

## Description

Construct the `first_finder`. The finder searches for the first occurrence of the string in a given input. The result is given as an `iterator_range` delimiting the match.

Parameters: |
`Search` | A substring to be searched for.
Returns: | An instance of the `first_finder` object